Bug 587415 - Wakeup from hibernate on Samsung NC10 causes memory corruption
Wakeup from hibernate on Samsung NC10 causes memory corruption
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 16:40 EDT by Ulrich Hobelmann
Modified: 2011-06-27 11:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:58:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Hobelmann 2010-04-29 16:40:29 EDT
Description of problem:
After waking up from hibernate (but not suspend), lots of processes seem to encounter memory corruption. They will crash a lot of the time. After restarting those processes, they will crash again. I had this happen to nautilus, to gnome-terminal+shell, and others.

Basically, the system is rendered unusable until I reboot.

Processes die with a SIGSEGV, so maybe there is no memory corruption, but the processes pages are not mapped, or the kernel has problems. Again, restarting the processes does not help - they will immediately crash again.

The problem occurs with Fedora 12 kernels and Fedora 13.

Version-Release number of selected component (if applicable):
Pretty much any installation of Fedora 12 or 13.

How reproducible:
Hibernate (not just suspend) the Samsung NC10. Wake it up again. Work with it. Crashes will ensue.

(I'm not sure this is just a HW problem, but otherwise the system runs great, including suspend to RAM. The problem is limited to the Samsung NC10; I've had other machines hibernate nicely with the same software.)
Comment 1 Bug Zapper 2011-06-02 10:42:34 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 11:58:20 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.